import { request } from '@/service/request';
/**
 * 分页获取渠道
 * @param params
 * @returns
 */
export function fetchGetChannelList(params: any) {
  return request<Api.government.ChannelVO[]>({
    url: '/smqjh-system/api/v1/channel/statisticsPage',
    method: 'get',
    params
  });
}

/**
 *
 * @param params 修改渠道信息
 * @returns
 */
export function fetchUpdateChannel(params: any) {
  return request({
    url: '/smqjh-system/api/v1/channel',
    method: 'put',
    data: params
  });
}

/**
 *
 * @param params 新增渠道信息
 * @returns
 */
export function fetchAddChannel(params: any) {
  return request({
    url: '/smqjh-system/api/v1/channel',
    method: 'POST',
    data: params
  });
}

/**
 * 删除政企
 * @returns
 */
export function fetchDelChannel(id: number) {
  return request({
    url: `/smqjh-system/api/v1/channel/${id}`,
    method: 'delete'
  });
}
